List warehouses

Returns a cursor-paginated list of warehouses belonging to your organization.

Token scopes: it-assets:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

cursorstringOptional
Indicates where the next page of results starts, as returned in a paginated list response
limitintegerOptional1-100Defaults to 20
Return a page of results with given number of records
searchstringOptional

Free-text search on warehouse name

countrystringOptional

Filter by warehouse country (ISO 3166 alpha-2). Repeat the key to filter on multiple values.

typeenumOptional
Filter by organization warehouse type. Repeat the key to filter on multiple values.
Allowed values:

Response

OK
datalist of objects
has_moreboolean
Whether there are more results available
next_cursorstring or null
Cursor to the next page
total_countlong
Total number of records

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error